# Dismiss payments Tokens provided to this endpoint must use implicit or authorization code grant type flows. Endpoint: PUT /api/v3/payments/{messageId}/dismiss Version: v3 Security: client_credentials, implicit, client_credentials_dev, implicit_dev ## Path parameters: - `messageId` (string, required) The unique id for the payments ## Request fields (application/json-patch+json): - `reason` (string,null) Reason for rejection ## Response 200 fields (text/plain): - `status` (integer) DismissalStatus * 0 - User has already approved payment * 1 - User cannot access all bankaccounts present in payment * 2 - Payment was dismissed * 3 - Payment was not found * 4 - Payment was already dismissed * 5 - Payment state does not allow approval/rejection Enum: 0, 1, 2, 3, 4, 5 - `success` (boolean) Whether payments were dismissed or not - `message` (string,null) Message explaining status ## Response 400 fields (text/plain): - `status` (integer) DismissalStatus * 0 - User has already approved payment * 1 - User cannot access all bankaccounts present in payment * 2 - Payment was dismissed * 3 - Payment was not found * 4 - Payment was already dismissed * 5 - Payment state does not allow approval/rejection Enum: 0, 1, 2, 3, 4, 5 - `success` (boolean) Whether payments were dismissed or not - `message` (string,null) Message explaining status ## Response 401 fields ## Response 404 fields